Loading...
Searching...
No Matches
bladerf_trigger Struct Reference
Channel control » Triggers

## Description

Trigger configuration

It is highly recommended to keep a 1:1 relationship between triggers in the physical setup and instances of this structure. (i.e., do not re-use and change the same bladerf_trigger) for multiple triggers.)

Definition at line 1629 of file libbladeRF.h.

`#include <libbladeRF.h>`

## Data Fields

bladerf_channel | channel
bladerf_trigger_role | role
bladerf_trigger_signal | signal
uint64_t | options

## Field Documentation

## channel

bladerf_channel channel

RX/TX channel associated with trigger

Definition at line 1630 of file libbladeRF.h.

## options

uint64_t options

Reserved field for future options. This is unused and should be set to 0.

Definition at line 1633 of file libbladeRF.h.

## role

bladerf_trigger_role role

Role of the device in a trigger chain

Definition at line 1631 of file libbladeRF.h.

## signal

bladerf_trigger_signal signal

Pin or signal being used

Definition at line 1632 of file libbladeRF.h.

The documentation for this struct was generated from the following file:

- libbladeRF.h